Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Interchange: cvs

[SCM] Interchange branch, master, updated. REL_5_7_2-23-g462c8b4

 

 

Interchange cvs RSS feed   Index | Next | Previous | View Threaded


interchange-cvs at icdevgroup

Oct 28, 2009, 9:16 AM

Post #1 of 1 (55 views)
Permalink
[SCM] Interchange branch, master, updated. REL_5_7_2-23-g462c8b4

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Interchange".

The branch, master has been updated
via 462c8b41fa00247f707536db4ef015493fda8a05 (commit)
from d335822da1d1f6533c8c3f83330c5c5480c8a8ee (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 462c8b41fa00247f707536db4ef015493fda8a05
Author: Stefan Hornburg (Racke) <racke[at]linuxia.de>
Date: Wed Oct 28 17:15:42 2009 +0100

use virtual host instead of system hostname as server name for the
demo catalog if FullUrl is enabled

-----------------------------------------------------------------------

Summary of changes and diff:
debian/interchange-cat-standard.postinst | 12 ++++++++++--
1 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/debian/interchange-cat-standard.postinst b/debian/interchange-cat-standard.postinst
index 61b4b8f..9def273 100644
--- a/debian/interchange-cat-standard.postinst
+++ b/debian/interchange-cat-standard.postinst
@@ -1,6 +1,6 @@
#! /bin/sh -e
#
-# Copyright 2001,2004,2005,2006,2008 by Stefan Hornburg (Racke) <racke[at]linuxia.de>
+# Copyright 2001,2004,2005,2006,2008,2009 by Stefan Hornburg (Racke) <racke[at]linuxia.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -97,7 +97,15 @@ if [ "$GOAHEAD" = "true" ]; then
SQLDSN="dbi:SQLite:dbname=$dbc_dbname"
fi

- SERVERNAME=`hostname --fqdn 2>/dev/null || echo localhost`
+ # with full URL enabled we use virtual host provided by the user
+ db_get interchange/full_url
+ if [ "$RET" = "true" ]; then
+ db_get interchange-cat-standard/vhost
+ SERVERNAME="$RET"
+ else
+ SERVERNAME=`hostname --fqdn 2>/dev/null || echo localhost`
+ fi
+
MVC_ENABLESECURE=1 MVC_UISECURE=1 MVC_SUPERUSER="$UI_SUPERUSER" MVC_CRYPTPW="$UI_PASSWORD" MVC_LOCALES="$LOCALES" MVC_DEFAULTLOCALE="$DEFAULTLOCALE" MVC_SKIP_ADD_GLOBAL_USERTAG=1 MVC_SQLITE=1 MVC_MYSQL=$MYSQL MVC_PGSQL=$PGSQL /usr/bin/makecat \
-F \
-l /var/log/interchange/makecat.log \


hooks/post-receive
--
Interchange

_______________________________________________
interchange-cvs mailing list
interchange-cvs[at]icdevgroup.org
http://www.icdevgroup.org/mailman/listinfo/interchange-cvs

Interchange cvs RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact lists@gossamer-threads.com
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.